import { Accessor } from 'solid-js';

/**
 * Querying the permission API
 *
 * @param name permission name (e.g. "microphone") or a PermissionDescriptor object (`{ name: ... }`)
 * @returns "unknown" | "denied" | "granted" | "prompt"
 */
declare const createPermission: (name: PermissionDescriptor | PermissionName | "microphone" | "camera") => Accessor<PermissionState | "unknown">;

export { createPermission };
